function x = quadratic(a,b,c)
% Solving a*x^2+b*x+c=0 equation, input: a,b,c
    f = @(x) a*x.^2+b*x+c;
    figure; fplot(f); 
    D = b^2-4*a*c; % discriminant
    if D>0
        disp('The equation has 2 real solutions')
        x(1) = (-b+sqrt(D))/(2*a);
        x(2) = (-b-sqrt(D))/(2*a);
        hold on; plot(x,[0,0],'k*'); plot(xlim,[0,0],'r');
    elseif D==0
        disp('The equation has 1 real solution')
        x = -b/(2*a);
        hold on; plot(x,0,'k*'); plot(xlim,[0,0],'r');
    else
        disp('The equation has no real solution')
        x = []; hold on; plot(xlim,[0,0],'r');
    end
end
